org.restlet.data

## Class Cookie

- java.lang.Object
- - org.restlet.util.Couple<java.lang.String,java.lang.String>
  - - org.restlet.data.Parameter
    - - org.restlet.data.Cookie

All Implemented Interfaces:
  java.lang.Comparable<Parameter>

Direct Known Subclasses:
  CookieSetting

    public class Cookie
    extends Parameter

Cookie provided by a client. To get the list of all cookies sent by a client, you can use the `Request.getCookies()` method.
Note that if you are on the server side and want to set a cookie on the client, you should use the `CookieSetting` class instead.
Note that when used with HTTP connectors, this class maps to the "Cookie" header.

Author:
  Jerome Louvel
See Also:
  `Request.getCookies()`, User Guide - Getting parameter values

### Constructor Summary

Constructors
Constructor and Description
`Cookie()` Constructor.
`Cookie(int version, java.lang.String name, java.lang.String value)` Constructor.
`Cookie(int version, java.lang.String name, java.lang.String value, java.lang.String path, java.lang.String domain)` Constructor.
`Cookie(java.lang.String name, java.lang.String value)` Constructor.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getDomain()` Returns the domain name.
`java.lang.String` `getPath()` Returns the validity path.
`int` `getVersion()` Returns the cookie specification version.
`int` `hashCode()`
`void` `setDomain(java.lang.String domain)` Sets the domain name.
`void` `setPath(java.lang.String path)` Sets the validity path.
`void` `setVersion(int version)` Sets the cookie specification version.

### Methods inherited from class org.restlet.data.Parameter

`compareTo, create, encode, encode, getName, getValue, setName, setValue`

### Methods inherited from class org.restlet.util.Couple

`getFirst, getSecond, setFirst, setSecond, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Cookie

    public Cookie()

Constructor.

#### Cookie

    public Cookie(int version,
          java.lang.String name,
          java.lang.String value)

Constructor.

Parameters:
  `version` - The version number.
  `name` - The name.
  `value` - The value.

#### Cookie

    public Cookie(int version,
          java.lang.String name,
          java.lang.String value,
          java.lang.String path,
          java.lang.String domain)

Constructor.

Parameters:
  `version` - The version number.
  `name` - The name.
  `value` - The value.
  `path` - The validity path.
  `domain` - The domain name.

#### Cookie

    public Cookie(java.lang.String name,
          java.lang.String value)

Constructor.

Parameters:
  `name` - The name.
  `value` - The value.

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `Couple<java.lang.String,java.lang.String>`

#### getDomain

    public java.lang.String getDomain()

Returns the domain name.

Returns:
  The domain name.

#### getPath

    public java.lang.String getPath()

Returns the validity path.

Returns:
  The validity path.

#### getVersion

    public int getVersion()

Returns the cookie specification version.

Returns:
  The cookie specification version.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Couple<java.lang.String,java.lang.String>`

#### setDomain

    public void setDomain(java.lang.String domain)

Sets the domain name.

Parameters:
  `domain` - The domain name.

#### setPath

    public void setPath(java.lang.String path)

Sets the validity path.

Parameters:
  `path` - The validity path.

#### setVersion

    public void setVersion(int version)

Sets the cookie specification version.

Parameters:
  `version` - The cookie specification version.